Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.struts.adapter.taglib.html
Class FormTagAdapter

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          org.apache.struts.taglib.html.FormTag
              com.bea.struts.adapter.taglib.html.FormTagAdapter

All Implemented Interfaces
  Serializable, javax.servlet.jsp.tagext.IterationTag, javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag

    public class FormTagAdapter

extends FormTag

Tag adapter for the Struts FormTag

See Also
  Serialized Form
  This class is based on 3rd party types and is thus dependent upon announced or unannounced changes to those 3rd party types. Extensions of this class by other parties must not be expected to compile without change in future versions of BEA Weblogic Portal or in future versions of the 3rd party types.

Field Summary

Fields inherited from class org.apache.struts.taglib.html.FormTag
`acceptCharset, action, beanName, beanScope, beanType, enctype, focus, focusIndex, lineEnd, mapping, messages, method, moduleConfig, onreset, onsubmit, readonly, scriptLanguage, servlet, style, styleClass, styleId, target`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`FormTagAdapter()`

Method Summary
`int` | `doStartTag()` Render the beginning of this form.
`protected String` | `getActionMappingURL(String action, javax.servlet.jsp.PageContext pageContext)` Return the form action converted into a server-relative URL.
`protected String` | `renderFocusJavascript()`

Methods inherited from class org.apache.struts.taglib.html.FormTag
`doEndTag, getAcceptCharset, getAction, getBeanName, getEnctype, getFocus, getFocusIndex, getMethod, getOnreset, getOnsubmit, getScriptLanguage, getStyle, getStyleClass, getStyleId, getTarget, initFormBean, isDisabled, isReadonly, lookup, release, renderAction, renderAttribute, renderFormStartElement, renderName, renderOtherAttributes, renderToken, setAcceptCharset, setAction, setDisabled, setEnctype, setFocus, setFocusIndex, setMethod, setOnreset, setOnsubmit, setReadonly, setScriptLanguage, setStyle, setStyleClass, setStyleId, setTarget`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doAfterBody, findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FormTagAdapter

    public FormTagAdapter()

Method Detail

### doStartTag

    public int doStartTag()
                   throws javax.servlet.jsp.JspException

  Render the beginning of this form.

  Specified by:
    `doStartTag` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `doStartTag` in class `FormTag`
  Throws
    `javax.servlet.jsp.JspException` - if a JSP exception has occurred

### renderFocusJavascript

    protected String renderFocusJavascript()

  Overrides:
    `renderFocusJavascript` in class `FormTag`

### getActionMappingURL

    protected String getActionMappingURL(String action,
                                         javax.servlet.jsp.PageContext pageContext)

  Return the form action converted into a server-relative URL.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved